Bug 80271 - FILESAVE: Shape not getting preserved in RT file
Summary: FILESAVE: Shape not getting preserved in RT file
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: filter:docx
Depends on:
Blocks: OOXML-Shapes
  Show dependency treegraph
 
Reported: 2014-06-20 07:58 UTC by Dinesh
Modified: 2019-12-11 03:38 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
File contains shape (8.18 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-06-20 07:58 UTC, Dinesh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dinesh 2014-06-20 07:58:58 UTC
Created attachment 101417 [details]
File contains shape

Problem description: 
File containing shape is not getting preserved because of noFill attribute.

Steps to reproduce:
1. Open the file in LibreOffice
2. Click File -> Save As (Microsoft Word 2007/2010 (.docx))
3. Open saved file in MS Office

Current behavior:
Shape in RT file is not getting preserved

Expected behavior:
Shape in RT file should be preserved
Operating System: All
Version: 4.4.0.0.alpha0+ Master
Comment 1 Sushil Shinde 2014-06-30 07:35:05 UTC
This file has weird issue.

Shape in this file has color properties from theme.
In MS Office, shape can have properties from theme.
These theme properties are stored at theme.xml in  docx package.
Now in this perticular file, theme.xml file is missing from package.
Hence while importing LO is not able to find theme propeties and it is applying
no fill property to shape.
Because of this shape is not visible on LO rendering and it is exported with 'no fill' properties.

So title should be "shape properties are not preserved propertly".

In such scenario I think MS Office applies some default theme properties because shape is visible on MS office even if theme.xml is not available.
Comment 2 QA Administrators 2015-07-18 17:43:15 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-11-06 14:48:00 UTC
Yep, not seeing the ellipse shape in LibO on open.

Win 8.1 32-bit
LibO Version: 5.1.0.0.alpha1+
Build ID: db6a928a420868b2a80ba11c8d46151d16c13624-GL
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-11-05_22:13:24
Locale: fi-FI (fi_FI)
Comment 4 QA Administrators 2017-12-08 08:07:58 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2019-12-11 03:38:09 UTC
Dear Dinesh,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug